package cn.reghao.oss.web.app.db.repository;

import cn.reghao.oss.web.app.model.po.UserKey;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-27 10:35:53
 */
public interface UserKeyRepository extends JpaRepository<UserKey, Integer> {
    int countByDomainAndUserId(String domain, int userId);
    List<UserKey> findByUserId(int userId);
    List<UserKey> findByDomainAndUserId(String domain, int userId);
    UserKey findByAccessKeyId(String accessKeyId);
}
